//
// BEGIN FLOCK GPL
// 
// Copyright Flock Inc. 2005
// http://flock.com
// 
// This file may be used under the terms of of the
// GNU General Public License Version 2 or later (the "GPL"),
// http://www.gnu.org/licenses/gpl.html
// 
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
// for the specific language governing rights and limitations under the
// License.
// 
// END FLOCK GPL
//


var gOrigBlog;

function fillFields(title) {
    if(title) {
        gOrigBlog = title;
        _fillFields();
    }
    else if(window.arguments) {
        gOrigBlog = window.arguments[0];
        window.setTimeout("_fillFields();",0);
    }
}


function _fillFields() {
    var title = gOrigBlog;
    if(!title) return;

    var ds = flock_blogGetDS();

    var profile = ds.getNode(title);
    var u = profile.getTarget(R2_BLOG_NS+"username").getValue();
    var p = profile.getTarget(R2_BLOG_NS+"password").getValue();
    var t = profile.getTarget(R2_BLOG_NS+"title").getValue();

    var api = profile.getTarget(R2_BLOG_NS+"api");

    var apiname = api.getTarget(R2_BLOG_NS+"apiname").getValue();
    var uri = api.getTarget(R2_BLOG_NS+"uri").getValue();
    var blogid = api.getTarget(R2_BLOG_NS+"blogid").getValue();
    $("blog-title").value = t;
    $("blog-username").value = u;
    $("blog-password").value = p;
    $("blog-blogid").value = blogid;
    $("blog-uri").value = uri;

    updateDropdown(apiname);
}

function updateDropdown(apiname) {
    if(apiname=="blogger") {
        $("blog-api-menu").selectedIndex = 1;
    }
    if(apiname=="metaweblog") {
        $("blog-api-menu").selectedIndex = 2;
    }
    if(apiname=="movabletype") {
        $("blog-api-menu").selectedIndex = 3;
    }
    if(apiname=="atom") {
        $("blog-api-menu").selectedIndex = 4;
    }
}

function validateAccount() {
    var t = $("blog-title").value;
    if(t=="") {
        return "ENTER A TITLE";
    }
    return null;
}

function saveAccount() {
    var msg = validateAccount();

    if(msg) {
        alert(msg);
        return;
    }

    var ds = flock_blogGetDS();
    var t = $("blog-title").value;
    var bloguri = BLOG_URN_ROOT + t;

    var u = $("blog-username").value;
    var p = $("blog-password").value;
    var b = $("blog-blogid").value;
    var uri = $("blog-uri").value;


    var apiName = $("blog-api-menu").selectedItem.value;
    if(apiName && apiName.length) {
        flock_blogAddAPI(t,apiName, uri, b);
    }
    window.close();
}

