//
// BEGIN FLOCK GPL
// 
// Copyright Flock Inc. 2005
// http://flock.com
// 
// This file may be used under the terms of of the
// GNU General Public License Version 2 or later (the "GPL"),
// http://www.gnu.org/licenses/gpl.html
// 
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
// for the specific language governing rights and limitations under the
// License.
// 
// END FLOCK GPL
//

// vim: cindent foldmethod=marker

dump ('about to get the favorites service (set up account)\n');
var flockFavorites = flock_getFavoritesService();
dump ('get the favorites service (set up account)\n');


function flock_init() {/*{{{*/
    dump ('favoritesAccountSetup onload\n');
    var username_entry = window.document.getElementById ('username_entry');
    var password_entry = window.document.getElementById ('password_entry');
    username_entry.value = flock_getPref ('favorites.webservice.username');
    password_entry.value = flock_getPref ('favorites.webservice.password');
}/*}}}*/

function log_in() {/*{{{*/
    dump ('favoritesAccountSetup log in\n');
    var service_popup = window.document.getElementById ('service_popup');
    var username_entry = window.document.getElementById ('username_entry');
    var password_entry = window.document.getElementById ('password_entry');

    flock_setPref ('favorites.webservice.username', username_entry.value);
    flock_setPref ('favorites.webservice.password', password_entry.value);

    dump ('setting the web service to: '+service_popup.selectedItem.value+'\n');
    flock_setPref ('favorites.webservice.name', service_popup.selectedItem.value);
    flockFavorites.setWebService (service_popup.selectedItem.value);
    dump ('\nset the web service to: '+flockFavorites.webService+'\n');

    window.openDialog ('chrome://browser/content/flock/favorites/favoritesProgress.xul', 'favorites-progress', 'dependant');
}/*}}}*/

function signup_clicked() {/*{{{*/
    dump ('favoritesAccountSetup signup\n');
    window.opener.content.location = 'http://del.icio.us/register';
    window.close ();
}/*}}}*/
