//
// BEGIN FLOCK GPL
// 
// Copyright Flock Inc. 2005
// http://flock.com
// 
// This file may be used under the terms of of the
// GNU General Public License Version 2 or later (the "GPL"),
// http://www.gnu.org/licenses/gpl.html
// 
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
// for the specific language governing rights and limitations under the
// License.
// 
// END FLOCK GPL
//

function flock_rssSingleFeed() 
{

/* TRY THIS:
	- For each url, addFeed, getFeed
	- Write method for interface that takes a list of datasources and coalesces them into the form I need.
	- Apply that ds to the template.
*/

    const CID = '@flock.com/rssservice;1';
    const IID = Components.interfaces.flockIRSSService;
    var obj = Components.classes[CID].getService(IID);

	urls=new Array('http://www.macromedia.com/go/rss_authorware', 'http://feeds.flock.com/feed.rss');
	
	for(i=0; i<urls.length; i++){
		//dump('Adding feed for ' + urls[i] + '\n');
		obj.addFeed(urls[i]);
		feed=obj.getFeed(urls[i]);
		obj.addFeedToQueue(urls[i], feed);
	}
	ds=obj.buildCompositeFeed();
	//alert(ds);

	$("rss_feed_box").setAttribute('ref','flock:root');
   	$("rss_feed_box").database.RemoveDataSource(ds);
   	$("rss_feed_box").database.AddDataSource(ds);
	//$("rss_feed_box").setAttribute('containment','http://www.flock.com/rdf#post');
    $("rss_feed_box").builder.rebuild();

	return;

/*
    var feedRDF = obj.getMultipleFeeds(urls);
	alert(feedRDF);
    var ds = new RDFDataSource();
    ds.Init(feedRDF);


	$("rss_feed_box").setAttribute('ref','flock:root');
   	$("rss_feed_box").database.RemoveDataSource(feedRDF);
   	//$("rss_feed_box").database.AddDataSource(feedRDF.datasource);
	//$("rss_feed_box").setAttribute('containment','http://www.flock.com/rdf#post');
    $("rss_feed_box").builder.rebuild();

	dump('==========\n' + obj.getMultipleFeeds(urls) + '==================\n');
	return;

	containment="";
	feeds=new Array();

	for(i=0; i<arguments.length; i++){
		obj.addFeed(arguments[i]);
		containment += arguments[i] + " ";
		feeds[i]=obj.getFeed(arguments[i]);
	}

	for(i=0; i<feeds.length; i++){
		var ds=new RDFDataSource();
		ds.Init(feeds[i]);
    	//dump(ds.serializeToString());
		//$("rss_feed_box").setAttribute('ref','http://feeds.flock.com/feed.rss');
		$("rss_feed_box").setAttribute('ref','flock:root');
    	$("rss_feed_box").database.RemoveDataSource(feeds[i]);
    	$("rss_feed_box").database.AddDataSource(feeds[i]);
	}
	$("rss_feed_box").setAttribute('containment','http://www.flock.com/rdf#post');
    $("rss_feed_box").builder.rebuild();
*/	
/*
    obj.addFeed(url);

    var feedRDF = obj.getFeed(url);
    var ds = new RDFDataSource();
    ds.Init(feedRDF);
    dump(ds.serializeToString());
    //alert(ds.serializeToString());
	//$("rss_feed").setAttribute('ref','urn:flock:rss:' + url);
	$("rss_feed_box").setAttribute('ref',url);
	$("rss_feed_box").setAttribute('containment',url);
    $("rss_feed_box").database.RemoveDataSource(feedRDF);
    $("rss_feed_box").database.AddDataSource(feedRDF);
    $("rss_feed_box").builder.rebuild();

	//$("rss_feed_title_box").setAttribute('ref',url);
	//$("rss_feed_title_box").database.removeDataSource(feedRDF);
	//$("rss_feed_title_box").AddDataSource(feedRDF);
	//$("rss_feed_title_box").builder.rebuild();
*/

//var t = obj.test();

//dump(t + '\n');

}

//Old stuff down here...


function testLoad()
{
    //$("rssbox-1").contentHTML = "<a> anthony a </a>";
    //$("rssbox-2").contentHTML = "<a> anthony b </a>";
    $("rssbox-1").contentHTML = '<p><a href="http://www.flickr.com/people/factoryjoe/">factoryjoe</a> posted a photo:</p> <p><a href="http://www.flickr.com/photos/factoryjoe/41771361/" title="iTunes now supports more than songs"><img src="http://static.flickr.com/29/41771361_80de2cf4b9_m.jpg" width="240" height="80" alt="iTunes now supports more than songs" style="border: 1px solid #000000;" /></a></p> <p>So how would the <a href="http://microformats.org/wiki/media-metadata-examples">microformat</a> for this kind of data look?</p>';
    $("rssbox-2").contentHTML = '<p><a href="http://www.flickr.com/people/factoryjoe/">factoryjoe</a> posted a photo:</p> <p><a href="http://www.flickr.com/photos/factoryjoe/41771361/" title="iTunes now supports more than songs"><img src="http://static.flickr.com/29/41771361_80de2cf4b9_m.jpg" width="240" height="80" alt="iTunes now supports more than songs" style="border: 1px solid #000000;" /></a></p> <p>So how would the <a href="http://microformats.org/wiki/media-metadata-examples">microformat</a> for this kind of data look?</p>';
    $("rssbox-3").contentHTML = '<p><a href="http://www.flickr.com/people/factoryjoe/">factoryjoe</a> posted a photo:</p> <p><a href="http://www.flickr.com/photos/factoryjoe/41771361/" title="iTunes now supports more than songs"><img src="http://static.flickr.com/29/41771361_80de2cf4b9_m.jpg" width="240" height="80" alt="iTunes now supports more than songs" style="border: 1px solid #000000;" /></a></p> <p>So how would the <a href="http://microformats.org/wiki/media-metadata-examples">microformat</a> for this kind of data look?</p>';
}

function flock_rssTestService1(testurl) 
{
    const CID = '@flock.com/rssservice;1';
    const IID = Components.interfaces.flockIRSSService;
    var obj = Components.classes[CID].getService(IID);
    obj.addFeed(testurl);

    alert("Wait for a few Seconds");
//var t = obj.test();

//dump(t + '\n');

}

function flock_rssTestService2(testurl) 
{
    const CID = '@flock.com/rssservice;1';
    const IID = Components.interfaces.flockIRSSService;
    var obj = Components.classes[CID].getService(IID);

    var feedRDF = obj.getFeed(testurl);
    var ds = new RDFDataSource();
    ds.Init(feedRDF);
    dump(ds.serializeToString());
    //alert(ds.serializeToString());
	$("rss-test-box").setAttribute('ref','urn:flock:rss:' + testurl);
    $("rss-test-box").database.RemoveDataSource(feedRDF);
    $("rss-test-box").database.AddDataSource(feedRDF);
    $("rss-test-box").builder.rebuild();

//var t = obj.test();

//dump(t + '\n');

}

function flock_rssTestService()
{
    const CID = '@flock.com/rssservice;1';
    const IID = Components.interfaces.flockIRSSService;
    var obj = Components.classes[CID].getService(IID);
    var ds = obj.test();

//    $("rss_feed_box").database.AddDataSource(ds);
//    $("rss_feed_box").builder.rebuild();
}
